module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 1);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.ERROR_TYPES = {
    SET_ERROR: 'error/SET_ERROR',
    CLEAN_ERROR: 'errorCLEAN_ERROR',
};
exports.MODAL_INPUT_TYPES = {
    SHOW_MODAL: 'inputModal/SHOW_MODAL',
    HIDE_MODAL: 'inputModal/HIDE_MODAL',
    SET_SELECTED: 'inputModal/SET_SELECTED',
    CLEAR_DATA: 'inputModal/CLEAR_DATA',
};
exports.SELECT_MODAL_TYPES = {
    SHOW_MODAL: 'selectModal/SHOW_MODAL',
    HIDE_MODAL: 'selectModal/HIDE_MODAL',
    SET_SELECTED: 'selectModal/SET_SELECTED',
    CLEAR_DATA: 'selectModal/CLEAR_DATA',
};
exports.POPUP_TYPES = {
    OPEN_POPUP: 'popup/OPEN_POPUP',
    CLOSE_POPUP: 'popup/CLOSE_POPUP',
};


/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(2));
__export(__webpack_require__(7));


/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var error_1 = __webpack_require__(3);
exports.errorReducer = error_1.default;
var modalInput_1 = __webpack_require__(4);
exports.modalInputReducer = modalInput_1.default;
var selectModal_1 = __webpack_require__(5);
exports.selectModalReducer = selectModal_1.default;
var popup_1 = __webpack_require__(6);
exports.popupReducer = popup_1.default;


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(0);
const reducer = (state = { items: [] }, action) => {
    const { payload, type } = action;
    switch (type) {
        case actionTypes_1.ERROR_TYPES.SET_ERROR:
            return {
                items: [...state.items, { description: payload.error, type: payload.type }],
            };
        case actionTypes_1.ERROR_TYPES.CLEAN_ERROR:
            return {
                items: [...state.items.slice(0, payload), ...state.items.slice(payload + 1)],
            };
        default:
            return state;
    }
};
exports.default = reducer;


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(0);
const reducer = (state = {}, action) => {
    const { payload, type } = action;
    switch (type) {
        case actionTypes_1.MODAL_INPUT_TYPES.SHOW_MODAL:
            return Object.assign({}, state, { onShowInputModal: Object.assign({}, payload), dataType: payload.dataType, selected: null });
        case actionTypes_1.MODAL_INPUT_TYPES.HIDE_MODAL:
            return Object.assign({}, state, { onShowInputModal: null });
        case actionTypes_1.MODAL_INPUT_TYPES.SET_SELECTED:
            return Object.assign({}, state, { selected: payload.value });
        case actionTypes_1.MODAL_INPUT_TYPES.CLEAR_DATA:
            return Object.assign({}, state, { selected: null, dataType: null });
        default:
            return state;
    }
};
exports.default = reducer;


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(0);
const reducer = (state = {}, action) => {
    const { payload, type } = action;
    switch (type) {
        case actionTypes_1.SELECT_MODAL_TYPES.SHOW_MODAL:
            return Object.assign({}, state, { showSelectModal: {
                    data: payload.data,
                    placeholder: payload.placeholder,
                }, dataType: payload.dataType, selected: null });
        case actionTypes_1.SELECT_MODAL_TYPES.HIDE_MODAL:
            return Object.assign({}, state, { showSelectModal: null });
        case actionTypes_1.SELECT_MODAL_TYPES.SET_SELECTED:
            return Object.assign({}, state, { selected: payload.value });
        case actionTypes_1.SELECT_MODAL_TYPES.CLEAR_DATA:
            return Object.assign({}, state, { selected: null, dataType: null });
        default:
            return state;
    }
};
exports.default = reducer;


/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(0);
const reducer = (state = { items: [] }, action) => {
    const { payload, type } = action;
    switch (type) {
        case actionTypes_1.POPUP_TYPES.OPEN_POPUP:
            return {
                items: [...state.items, Object.assign({}, payload)],
            };
        case actionTypes_1.POPUP_TYPES.CLOSE_POPUP:
            return {
                items: [...state.items.slice(0, payload), ...state.items.slice(payload + 1)],
            };
        default:
            return state;
    }
};
exports.default = reducer;


/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(8));
__export(__webpack_require__(9));
__export(__webpack_require__(10));
__export(__webpack_require__(11));


/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(0);
exports.setError = (error, type) => ({
    type: actionTypes_1.ERROR_TYPES.SET_ERROR,
    payload: { error, type },
});
exports.cleanError = index => ({
    type: actionTypes_1.ERROR_TYPES.CLEAN_ERROR, payload: index,
});


/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(0);
exports.showInputModal = (openData) => ({
    type: actionTypes_1.MODAL_INPUT_TYPES.SHOW_MODAL,
    payload: openData,
});
exports.hideInputModal = () => ({
    type: actionTypes_1.MODAL_INPUT_TYPES.HIDE_MODAL,
});
exports.setInputValue = value => ({
    type: actionTypes_1.MODAL_INPUT_TYPES.SET_SELECTED,
    payload: { value },
});
exports.clearInputValue = () => ({
    type: actionTypes_1.MODAL_INPUT_TYPES.CLEAR_DATA,
});


/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(0);
exports.showSelectModal = (data, dataType, placeholder) => ({
    type: actionTypes_1.SELECT_MODAL_TYPES.SHOW_MODAL,
    payload: { data, dataType, placeholder },
});
exports.setSelectedValue = (value) => ({
    type: actionTypes_1.SELECT_MODAL_TYPES.SET_SELECTED,
    payload: { value },
});
exports.hideSelectModal = () => ({
    type: actionTypes_1.SELECT_MODAL_TYPES.HIDE_MODAL,
});
exports.clearSelectModalData = () => ({
    type: actionTypes_1.SELECT_MODAL_TYPES.CLEAR_DATA,
});


/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(0);
exports.openPopup = (payload) => ({
    type: actionTypes_1.POPUP_TYPES.OPEN_POPUP,
    payload,
});
exports.closePopup = index => ({
    type: actionTypes_1.POPUP_TYPES.CLOSE_POPUP,
    payload: index,
});


/***/ })
/******/ ]);
//# sourceMappingURL=index.js.map